
#ifndef LEDMATRIX_H_
#define LEDMATRIX_H_

#include "./max7219/max7219.h"

#define MAXLEDMATRIX MAX7219_ICNUMBER //number of led matrix connected

//functions
extern void resetmatrix(uint8_t ledmatrix);
extern void setmatrix( uint8_t rows[8]);
extern void setrow( uint8_t col, uint8_t row);
extern void setled( uint8_t lednum, uint8_t status);
extern void setledon( uint8_t lednum);
extern void setledoff( uint8_t lednum);
extern void setintensity( uint8_t intensity);
extern void init();

#endif
